Create a replication policy in a system
Creates a replication policy in a system, specifying the rules for data replication between storage resources. Use this to define how data is copied, synchronized, or retained across systems for backup and recovery purposes.
HTTP method and endpoint
POST /account/{accountId}/providers/cloudmanager_cbs/api/v1/working-environment/{workingEnvironmentId}/replication-policy
Token usage
NetApp Console user token.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
accountId |
string |
path |
True |
Account ID |
workingEnvironmentId |
string |
path |
True |
System ID |
authorization |
string |
header |
True |
User token |
X-Agent-Id |
string |
header |
True |
Request identifier |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
|
rule |
array[rule] |
False |
|
transfer-schedule |
string |
False |
Cron-based schedule for transfers. To disable the schedule, pass the value as: none(case sensitive). By default, an hourly schedule is selected. |
copy-all-source-snapshots |
boolean |
False |
Copies all source snapshots to the replication detstination |
copy-latest-source-snapshot |
boolean |
False |
Copies only the latest source snapshot to the replication detstination |
svm-name |
string |
False |
Name of the SVM where the replication policy should be created |
Example request
{
"name": "string",
"rule": [
{
"label": "string",
"retention": "string"
}
],
"transfer-schedule": "string",
"svm-name": "string"
}
Response
Status: 200, Default response
Definitions
See Definitions
rule
| Name | Type | Required | Description |
|---|---|---|---|
label |
string |
False |
|
retention |
string |
False |